# CampaignTypeOptions

> List campaign types; creating a campaign needs a campaign_type_id from here. Read access, campaigns toolset, MCP tool get_campaign_type_options.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `first` | `Int` | no | 32-bit integer. Default `200` |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"CampaignTypeOptions","variables":{},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"3df07f8e4c194d6faa32f61905b7683715cf22beb52b5f7ddc23a8ca88b891bf"}}}'
```

## Document

```graphql
query CampaignTypeOptions($first: Int = 200) { __typename allCampaignTypes(first: $first, orderBy: [SORT_ORDER_ASC]) { __typename nodes { __typename campaignTypeSlug id name rowId } } }
```

Source: https://developer.missin.co.uk/reference/campaigns/campaign-type-options
